---
title: Retrieve Entity Status
slug: poc-onboarding/retrieve-entity-status
createdAt: 2025-06-23T05:38:42.429Z
---

{
  "id": "cjUdXRH3S21tcP6KfPHoN",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev-api.monoova.com/kyb/v1/EntityStatus",
    "servers": [
      {
        "url": "https://dev-api.monoova.com/kyb/v1/EntityStatus"
      }
    ],
    "name": "Retrieve Entity Status",
    "description": "Use the this endpoint to check the onboarding status of an entity created in the Entity and Verify endpoint.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "Unique applicantId generated on entity creation",
          "customType": "Retrieve_Entity_Status",
          "schema": [
            {
              "name": "applicantId",
              "kind": "required",
              "type": "string",
              "example": ""
            }
          ],
          "modelRef": "#/components/schemas/Retrieve_Entity_Status",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearer",
          "name": "bearer",
          "kind": "optional",
          "type": "http",
          "in": "header",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "The \"reviewAnswer\" field of the response will either be Approved or Rejected, but both will return a 200 response.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "Retrieve_Entity_Status_-_Response",
            "schema": [
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "example": ""
              },
              {
                "name": "response",
                "kind": "optional",
                "type": "object",
                "example": "",
                "schema": [
                  {
                    "name": "applicantStatus",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "reviewAnswer",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "createdDate",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "rejectLabels",
                    "kind": "optional",
                    "type": "array",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "entityName",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "registrationNumber",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "entityType",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "incorporatedOn",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "entityCountry",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "registrySource",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "registeredAddress",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "representativeEmail",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "representativePhone",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "flowAnswers",
                    "kind": "optional",
                    "type": "array",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/Retrieve_Entity_Status_-_Response",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev-api.monoova.com/kyb/v1/EntityStatus \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"applicantId\": \"\"\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"applicantId\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev-api.monoova.com/kyb/v1/EntityStatus\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev-api.monoova.com/kyb/v1/EntityStatus\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"applicantId\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev-api.monoova.com/kyb/v1/EntityStatus\"\n\npayload = json.dumps({\n   \"applicantId\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The \"reviewAnswer\" field of the response will either be Approved or Rejected, but both will return a 200 response.\n{\n  \"status\": \"\",\n  \"response\": {\n    \"applicantStatus\": \"\",\n    \"reviewAnswer\": \"\",\n    \"createdDate\": \"\",\n    \"rejectLabels\": [\n      \"\"\n    ],\n    \"entityName\": \"\",\n    \"registrationNumber\": \"\",\n    \"entityType\": \"\",\n    \"incorporatedOn\": \"\",\n    \"entityCountry\": \"\",\n    \"registrySource\": \"\",\n    \"registeredAddress\": \"\",\n    \"representativeEmail\": \"\",\n    \"representativePhone\": \"\",\n    \"flowAnswers\": [\n      {}\n    ]\n  }\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "jYXcUO5mLL0SxngXtdsAy",
      "type": "paragraph",
      "children": [
        {
          "text": "Use the this endpoint to check the onboarding status of an entity created in the Entity and Verify endpoint."
        }
      ]
    }
  ]
}